org.apache.cassandra.db.partitions

## Class PartitionUpdate.CounterMark

- java.lang.Object
- - org.apache.cassandra.db.partitions.PartitionUpdate.CounterMark

- Enclosing class:
    PartitionUpdate

      public static class PartitionUpdate.CounterMark
      extends java.lang.Object

  A counter mark is basically a pointer to a counter update inside this partition update. That pointer allows us to update the counter value based on the pre-existing value read during the read-before-write that counters do. See `CounterMutation` to understand how this is used.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Clustering` | `clustering()`
    `ColumnDefinition` | `column()`
    `CellPath` | `path()`
    `void` | `setValue(java.nio.ByteBuffer value)`
    `java.nio.ByteBuffer` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### clustering

          public Clustering clustering()

    - #### column

          public ColumnDefinition column()

    - #### path

          public CellPath path()

    - #### value

          public java.nio.ByteBuffer value()

    - #### setValue

          public void setValue(java.nio.ByteBuffer value)

Copyright © 2018 The Apache Software Foundation